curl --request PUT \
--url https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/scx/sellers/shipping-rule-mappings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"mappings": [
{
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippingRuleId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customCarrierId": "<string>"
}
]
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/scx/sellers/shipping-rule-mappings"
payload = { "mappings": [
{
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippingRuleId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customCarrierId": "<string>"
}
] }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
mappings: [
{
shippingMethodId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
shippingRuleId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
customCarrierId: '<string>'
}
]
})
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/scx/sellers/shipping-rule-mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mappings": [
{
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesChannelId": "<string>",
"shippingRuleId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"carrierId": "<string>",
"customCarrierId": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}Set Scx Seller Shipping Rule Mappings
Declaratively replaces the complete set of shipping-rule mappings of a SCX seller/account. The request describes the full desired state - provided mappings are upserted and every mapping not contained in the request is removed (declarative replace, ADR-57).
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Path Parameters
Sales channel id of the SCX seller/account whose shipping-rule mappings are replaced.
Body
Request model for SetScxSellerShippingRuleMappings command endpoint. Route parameters bind from the route, query parameters from the query string, everything else from the body.
The complete desired set of shipping-rule mappings for the seller. Any existing mapping of the seller's shop that is not contained in this list is removed.
Show child attributes
Show child attributes
Response
Successfully replaced the shipping-rule mappings. Returns the persisted mappings including their carrier id (server-resolved for a real shipping rule, or the stored custom carrier code for an own-carrier mapping).
Declaratively replaces the complete set of shipping-rule mappings of a SCX seller/account. The request describes the full desired state - provided mappings are upserted and every mapping not contained in the request is removed (declarative replace, ADR-57). - Response
The persisted shipping-rule mappings including their carrier id (server-resolved for a real shipping rule, or the stored custom carrier code for an own-carrier mapping).
Show child attributes
Show child attributes
Was this page helpful?